/*
  ktracker (c) 2006 Kris Beevers

  This file is part of ktracker.

  ktracker is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  ktracker is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with ktracker; if not, write to the Free Software Foundation,
  Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

  $Id: tracker.hpp,v 1.1.1.1 2006/10/10 20:41:29 beevek Exp $
*/

#ifndef _TRACKER_HPP
#define _TRACKER_HPP

#include <inttypes.h>
#include <vector>
#include "video_input.hpp"

namespace tracker
{

  struct robot_t
  {
    double x, y, t;
  };

  bool init(const video_input &input);
  void cleanup();

  // modifies img
  void track_robot(uint8_t *img, robot_t &pose);

};

#endif // _TRACKER_HPP
